package cn.iocoder.yudao.module.inspection.service;



import cn.iocoder.yudao.module.inspection.entity.InspectionInfo;
import cn.iocoder.yudao.module.inspection.vo.InspectionInfoVo;
import cn.iocoder.yudao.module.inspection.vo.OrderAppDetail;
import cn.iocoder.yudao.module.payment.entity.OrderInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;


import java.util.List;

public interface AppInspectionOrderService extends IService<OrderInfo> {
    OrderAppDetail orderDetailApp(Long orderId);

   IPage<InspectionInfo> inspectionList(Page<InspectionInfo> page, String status);
    InspectionInfoVo inspectionDetail(Long inspectionInfoId);
    JSONObject statisticsTop();
    List<JSONObject>  statisticsMid();
    JSONObject  statisticsZXT(Long partnerId,String type);
    List<JSONObject> statisticsOrder();
    List<JSONObject> getPartnerList(String partnerName);

    IPage<InspectionInfo> governmentInspectionList(Page<InspectionInfo> page, String carNum,String status,String partnerId);



}
